<div class="wrapper">
        <div class="page-header" style="background-image: url('./assets/img/login-image.jpg');">
            <div class="filter"></div>
                <div class="container">
                    <div class="row">
                        <div class="col-lg-4 col-sm-6 mr-auto ml-auto">
                          <div class="card card-register">
                              <h3 class="title">Bem Vindo</h3>
                              <div class="social-line text-center">
                                  <a href="#pablo" class="btn btn-neutral btn-facebook btn-just-icon">
                                      <i class="fa fa-facebook-square"></i>
                                  </a>
                                  <a href="#pablo" class="btn btn-neutral btn-google btn-just-icon">
                                      <i class="fa fa-google-plus"></i>
                                  </a>
                                  <a href="#pablo" class="btn btn-neutral btn-twitter btn-just-icon">
                                      <i class="fa fa-twitter"></i>
                                  </a>
                              </div>


                              <form class="register-form" [formGroup]="registerForm" (ngSubmit)="onClickRegisto()">


                                  <label>Email</label>
                                  <div class="input-group form-group-no-border">
                                    <div class="input-group-prepend">
                                      <span class="input-group-text">
                                          <i class="nc-icon nc-email-85"></i>
                                      </span>
                                    </div>
    
                                      <input type="email" 
                                      class="form-control" 
                                      placeholder="Email" 
                                      [(ngModel)]="user.email"
                                      name="inputEmail"
                                      formControlName="inputEmail"
                                      [ngClass]="{ 'is-invalid': submitted && f.inputEmail.errors }">
                                      
                                      <div *ngIf="submitted && f.inputEmail.errors" class="invalid-feedback custom-invalid">
                                            <div *ngIf="f.inputEmail.errors.required">Email é obrigatório</div>
                                            <div *ngIf="f.inputEmail.errors.email">Email deve ser válido</div>
                                        </div>
                                  </div>
    
                                  <label>Password</label>
                                  <div class="input-group form-group-no-border">
                                    <div class="input-group-prepend">
                                      <span class="input-group-text">
                                          <i class="nc-icon nc-key-25"></i>
                                      </span>
                                    </div>
                                      <input type="password" 
                                      class="form-control" 
                                      placeholder="Password" 
                                      [(ngModel)]="user.password"
                                      name="inputPassword"
                                      formControlName="inputPassword"
                                      [ngClass]="{ 'is-invalid': submitted && f.inputPassword.errors }"
                                      >
                                      <div *ngIf="submitted && f.inputPassword.errors" class="invalid-feedback custom-invalid">
                                            <div *ngIf="f.inputPassword.errors.required">Senha é obrigatória</div>
                                            <!-- <div *ngIf="f.inputPassword.errors.minlength">Password must be at least 6 characters</div> -->
                                        </div>
                                  </div>

                                  <div class="form-group">
                                        <button type="submit" class="btn btn-danger btn-round btn-block">Entrar</button>
                                    </div>

                              </form>


                              <div class="forgot">
                                  <a href="#" class="btn btn-link btn-danger">Perdeu password?</a>
                              </div>
                          </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
    